/* parser auto-generated by pidl */

#include "includes.h"
#include "bin/default/source4/librpc/gen_ndr/ndr_winstation.h"

static enum ndr_err_code ndr_push_winstation_foo(struct ndr_push *ndr, int flags, const struct winstation_foo *r)
{
	NDR_PUSH_CHECK_FN_FLAGS(ndr, flags);
	if (flags & NDR_IN) {
	}
	if (flags & NDR_OUT) {
	}
	return NDR_ERR_SUCCESS;
}

static enum ndr_err_code ndr_pull_winstation_foo(struct ndr_pull *ndr, int flags, struct winstation_foo *r)
{
	NDR_PULL_CHECK_FN_FLAGS(ndr, flags);
	if (flags & NDR_IN) {
	}
	if (flags & NDR_OUT) {
	}
	return NDR_ERR_SUCCESS;
}

_PUBLIC_ void ndr_print_winstation_foo(struct ndr_print *ndr, const char *name, int flags, const struct winstation_foo *r)
{
	ndr_print_struct(ndr, name, "winstation_foo");
	if (r == NULL) { ndr_print_null(ndr); return; }
	ndr->depth++;
	if (flags & NDR_SET_VALUES) {
		ndr->flags |= LIBNDR_PRINT_SET_VALUES;
	}
	if (flags & NDR_IN) {
		ndr_print_struct(ndr, "in", "winstation_foo");
		ndr->depth++;
		ndr->depth--;
	}
	if (flags & NDR_OUT) {
		ndr_print_struct(ndr, "out", "winstation_foo");
		ndr->depth++;
		ndr->depth--;
	}
	ndr->depth--;
}

static const struct ndr_interface_call winstation_calls[] = {
	{
		"winstation_foo",
		sizeof(struct winstation_foo),
		(ndr_push_flags_fn_t) ndr_push_winstation_foo,
		(ndr_pull_flags_fn_t) ndr_pull_winstation_foo,
		(ndr_print_function_t) ndr_print_winstation_foo,
		{ 0, NULL },
		{ 0, NULL },
	},
	{ .name = NULL }
};

static const char * const winstation_endpoint_strings[] = {
	"ncacn_np:[\\pipe\\winstation]", 
};

static const struct ndr_interface_string_array winstation_endpoints = {
	.count	= 1,
	.names	= winstation_endpoint_strings
};

static const char * const winstation_authservice_strings[] = {
	"host", 
};

static const struct ndr_interface_string_array winstation_authservices = {
	.count	= 1,
	.names	= winstation_authservice_strings
};


const struct ndr_interface_table ndr_table_winstation = {
	.name		= "winstation",
	.syntax_id	= {
		{0x5ca4a760,0xebb1,0x11cf,{0x86,0x11},{0x00,0xa0,0x24,0x54,0x20,0xed}},
		NDR_WINSTATION_VERSION
	},
	.helpstring	= NDR_WINSTATION_HELPSTRING,
	.num_calls	= 1,
	.calls		= winstation_calls,
	.endpoints	= &winstation_endpoints,
	.authservices	= &winstation_authservices
};

